MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004324ardourfeaturespublic2011-09-20 07:012014-12-28 15:09
Reporternandinga 
Assigned Todrobilla 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.XFixed in Version 
Summary0004324: A3 should have MIDI velocity editing facilities
DescriptionNot sure if it is the time now (on alpha10) but I think this is important:

It is crucial for a MIDI editor to be flexible about velocity values, in order to produce more close-to-reality results.

MIDI velocity values normally vary not individually but in relation to its neighbors e.g. build-ups, accents, rolls, etc. This is why a velocity editor should offer the possibility to edit values of groups, as opposed to note-by-note editing.

This is what regular "bar graph velocity editors" allow, when e.g. drawing an ascending line to create a build-up, or "humanizing" velocities (randomly increasing/decreasing the values for selected notes).

Several changes are needed for implementing one such editor in A3, but there might be other alternatives. I can think of one, and that is working with dialogs over selected notes.

With this approach we could select a bunch of notes, right-click and select from the menu:

- Randomize velocities: Dialog asks the velocity range.
- Build-up: Dialog asks min and max velocities, and maybe shape of the curve.

Changing channels (current right-click assignment) is also important for expressiveness, so we could leave it as is but with a key modifier.

Also in the menu we could offer other non velocity related options like the following:

- Humanize (randomizing the position in time of the notes)
- Transpose
- Quantize
- even copy&paste?

I understand that every one of this options is a feature itself, but they don't need to be implemented at once. This approach can give us functional flexibility while reducing the development effort. If the need or the will to develop a graphical velocity editor of any sort arises later, the algorithms could be reused, so only the dialogs would be thrown away.

This is probably a feature to take into account for the release of A3, that will be offering MIDI sequencing capabilities as one of its main improvements.
Tags3.0, GUI, Midi, right click, Sequencer
Attached Files

- Relationships
related to 0005608new Velocity track idea 
related to 0005796resolveddrobilla Midi default velocity value 
related to 0004449new Simple MIDI velocity interpolation 
related to 0002747new Humanizer for MIDI editor 
related to 0003243resolveddrobilla Velocity Slider 
related to 0005832closeddrobilla Midi velocity bar-graph editor; separate pattern editor? 

-  Notes
(0011542)
nandinga (reporter)
2011-09-20 07:10

Some related issues:
0003243: Velocity Slider
0003561: Percussion Editor
0004323: Conflict with CTRL+scrollwheel for both zooming and midi velocity change.
There was also a proposal on making MIDI note editing dialog to work with a group of selected notes, but I couldn't find it.
(0011576)
danboid (reporter)
2011-09-26 16:51

I totally agree that the MIDI region context menu needs some work. A bar graph velocity editor could be nice but that sounds a bit too flash to make it into 3.0 now maybe. Instead I'd like to see an 'Interpolate' option added to the context menu when you right-click a range of notes with sufficiently varying velocities at either end of the selection.
(0011597)
nandinga (reporter)
2011-09-28 05:51

This is the other bug I comented before:

0004096: MIDI note edit dialog should work with multiple notes selected
(0015605)
naught101 (reporter)
2014-01-22 02:54

Separate bar graph velocity editor/midi pattern editor feature request: http://tracker.ardour.org/view.php?id=5832 [^]
(0016078)
naught101 (reporter)
2014-12-23 06:22

See also http://tracker.ardour.org/view.php?id=5608 [^] , http://tracker.ardour.org/view.php?id=4367 [^]
(0016130)
drobilla (developer)
2014-12-28 15:09

There is now (as of 3.5-4112-g4973ddc) a context menu for editing the selection only (actually this is what the usual MIDI edit context menu was actually doing, but now it's clear).

From this you can quantize, legatize, or use the new transform window to do things like velocity crescendos and velocity or time humanization. It probably needs some "presets" for easily doing these common things, but it's relatively straightforward to figure out how to use the thing (in my ridiculously biased opinion, anyway).

Since this addresses all the main points in this ticket except a separate velocity bar graph editor, and there is a separate ticket for that, I'm considering this one closed.

- Issue History
Date Modified Username Field Change
2011-09-20 07:01 nandinga New Issue
2011-09-20 07:02 nandinga Tag Attached: 3.0
2011-09-20 07:02 nandinga Tag Attached: GUI
2011-09-20 07:02 nandinga Tag Attached: Midi
2011-09-20 07:02 nandinga Tag Attached: right click
2011-09-20 07:02 nandinga Tag Attached: Sequencer
2011-09-20 07:10 nandinga Note Added: 0011542
2011-09-20 15:18 cth103 cost => 0.00
2011-09-20 15:18 cth103 Target Version => 3.0-beta1
2011-09-26 16:51 danboid Note Added: 0011576
2011-09-28 05:51 nandinga Note Added: 0011597
2011-11-15 07:00 cth103 Target Version 3.0-beta1 => 3.0
2012-01-18 10:48 paul Target Version 3.0 => 3.X
2014-01-22 02:54 naught101 Note Added: 0015605
2014-01-22 04:21 x42 Relationship added related to 0005832
2014-01-22 04:23 x42 Relationship added related to 0005608
2014-01-22 04:24 x42 Relationship added related to 0005796
2014-01-22 04:27 x42 Relationship added related to 0004449
2014-01-22 04:28 x42 Relationship added related to 0002747
2014-12-23 06:22 naught101 Note Added: 0016078
2014-12-26 01:10 x42 Relationship added related to 0003243
2014-12-28 15:09 drobilla Note Added: 0016130
2014-12-28 15:09 drobilla Assigned To => drobilla
2014-12-28 15:09 drobilla Status new => resolved
2014-12-28 15:09 drobilla Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker